Skip to main content
GET
/
financials
/
segmented-revenues
Get segmented revenue data (deprecated)
curl --request GET \
  --url https://api.aisa.one/apis/v1/financial/financials/segmented-revenues \
  --header 'Authorization: Bearer <token>'
{
  "segmented_revenues": [
    {
      "ticker": "<string>",
      "report_period": "2023-12-25",
      "period": "quarterly",
      "items": [
        {
          "name": "<string>",
          "amount": 123,
          "end_period": "2023-12-25",
          "start_period": "2023-12-25",
          "segments": [
            {
              "label": "<string>",
              "type": "<string>"
            }
          ]
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ticker
string

The ticker symbol. Required if cik is not provided.

period
enum<string>
required

The date or time period to which the reported revenue data relates in ISO 8601 format (YYYY-MM-DD).

Available options:
annual,
quarterly
limit
integer<int32>

The maximum number of revenue statements to return.

cik
string

The Central Index Key (CIK) of the company.

report_period
string<date>

Filter by exact report period date in YYYY-MM-DD format.

report_period_gte
string<date>

Filter by report period greater than or equal to date in YYYY-MM-DD format.

report_period_lte
string<date>

Filter by report period less than or equal to date in YYYY-MM-DD format.

report_period_gt
string<date>

Filter by report period greater than date in YYYY-MM-DD format.

report_period_lt
string<date>

Filter by report period less than date in YYYY-MM-DD format.

Response

Segmented revenue response

segmented_revenues
object[]